<template>
    <header class="relative z-30">
        <nav class="bg-white border-gray-200 px-4 lg:px-6 py-2.5 dark:bg-gray-800">
            <div class="flex flex-wrap items-center justify-around">
                <nuxt-link
                    to="/"
                    class="flex items-center"
                >
                    <img :src="require('~/assets/images/logo.jpg')" class="mr-3 h-6 sm:h-9" alt="logo" />
                </nuxt-link>

                <div class="flex justify-between items-center">
                    <ul class="flex font-medium space-x-8">
                        <li>
                            <nuxt-link
                                to="/"
                                :class="{
                                    'font-bold text-blue-700': $route.path === '/',
                                    'text-gray-700': $route.path !== '/',
                                }"
                                class="block rounded" aria-current="page">
                                Accueil
                            </nuxt-link>
                        </li>
                        <li>
                            <nuxt-link
                                to="/portfolio"
                                :class="{
                                    'font-bold text-blue-700': $route.path === '/portfolio',
                                    'text-gray-700': $route.path !== '/portfolio',
                                }"
                                class="block rounded" aria-current="page">
                                Portfolio
                            </nuxt-link>
                        </li>
                    </ul>
                </div>
            </div>
        </nav>
    </header>
</template>

<script>

export default {

    // Nom du composant
    name: "HeaderCustom",

    // Données en paramètres du composant
    props: {
        // props
    },

    // Données du composant
    data() {
        return {
            // data
        }
    },

    // Script à éxécuter au chargement du composant
    mounted() {
        // mounted
    },

    // Méthodes du composant
    methods: {
        // methods
    }
}

</script>
